Skip to main content
PATCH
/
threads
/
{thread_id}
Update Thread
curl --request PATCH \
  --url https://api.example.com/threads/{thread_id} \
  --header 'Content-Type: application/json' \
  --data '{
  "metadata": {}
}'
import requests

url = "https://api.example.com/threads/{thread_id}"

payload = { "metadata": {} }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};

fetch('https://api.example.com/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "thread_id": "<string>",
  "user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "status": "idle",
  "metadata": {}
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

thread_id
string
required

Body

application/json

Request model for updating threads

metadata
Metadata · object | null

Thread metadata to update

Response

Successful Response

Thread entity model

Status values: idle, busy, interrupted, error

thread_id
string
required

Unique identifier for the thread.

user_id
string
required

Identifier of the user who owns this thread.

created_at
string<date-time>
required

Timestamp when the thread was created.

updated_at
string<date-time>
required

Timestamp when the thread was last updated.

status
string
default:idle

Current thread status: idle, busy, interrupted, or error.

metadata
Metadata · object

Arbitrary metadata attached to the thread.